Subject: Re : Re: [EDUC] Apprendre l'informatique, oui mais dans quel contexte ?
From: [email-masked]
To: David Chemouil <[email-masked]>
Cc: "mammig.linux" <[email-masked]>, [email-masked]
Date: Tue, 5 Nov 2013 23:16:33 +0100 (CET)
List-Id: <educ.april.org>

----- David Chemouil <[email-masked]> a écrit :
> Le 05/11/2013 19:05, mammig.linux a écrit :
> 
> > Si on décide d'apprendre à coder aux élèves, je pense qu'il serait 
> > intéressant d'utiliser un "vrai" langage de programmation ( 
> > javascript, c, java ou autre ). Dans mon jeune temps, les rares 
> > personnes qui apprenaient la programmation au lycée le faisait avec 
> > des langages totalement inconnus en dehors de l'école... Beaucoup n'en 
> > voyait pas l'interet surtout que chez eux ils programmaient en C ou en 
> > Pascal... Les choses ont peut-être changé depuis...

> C'est trollogène ça... Si on doit former les gens à réfléchir 
> conceptuellement, je crois qu'il faut franchement éviter tous les 
> langages que tu cites  :-)  Pour quelqu'un qui a besoin d'apprendre à 
> programmer pour son métier ou s'amuser, ce sera toujours possible ensuite.
> 
> david

Salut David,

Il fut un temps où l'éducation nationale enseignait le LSE
défendu par l'EPI.
http://fr.wikipedia.org/wiki/LSE_%28langage_de_programmation%29

Les gamins de l'époque lisaient Hebdogiciel et nombreux furent ceux
qui programmaient en Basic, en langage machine. Ceux qui côtoyaient les BBS 
se dirigèrent ensuite vers le C.

Dans l'absolu, tous les langages informatiques méritent d'être appris..

Pour autant, je trouve totalement débile que l'éducnat ait imposé
un langage qui était totalement à côté des subcultures informatiques
adolescentes de l'époque. On aurait voulu les écoeurer qu'on eut pas
mieux fait.

Les rares mômes dans mon collège qui programment, en autodidactes, pour des 
raisons diverses et variées, font du javascript. L'an dernier,
l'un d'entre eux apprenait seul sur le site du zéro, puis montrait à
ses camarades ses petits programmes qui leur donnaient envie d'apprendre.
Ils se retrouvaient tous également pour jouer en ligne sur une machine
que l'un d'entre eux avait installé chez lui.

Tout en ayant comme objectif de former des gens à
réfléchir conceptuellement, l'informatique en collège ne doit pas
rebuter les élèves. Il faut aussi partir de leurs centres d'intérêts
sans démagogie jeuniste, mais aussi sans les faire chier.
L'aspect ludique, en collège est primordial.

Librement,
Charlie

--
Pour gérer votre abonnement à la liste educ et vos informations personnelles :
http://listes.april.org/wws/info/educ